cURL
curl -X POST "https://api.joinformal.com/core.v1.ApprovalService/CreateApprovalRequest" \
-H "X-API-KEY: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"example": "value"
}'fetch("https://api.joinformal.com/core.v1.ApprovalService/CreateApprovalRequest", {
method: "POST",
headers: {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
example: "value"
})
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error(error));import requests
url = "https://api.joinformal.com/core.v1.ApprovalService/CreateApprovalRequest"
headers = {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"example": "value"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())package main
import (
"bytes"
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.joinformal.com/core.v1.ApprovalService/CreateApprovalRequest"
body := map[string]string{
"example": "value",
}
jsonData, _ := json.Marshal(body)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("X-API-KEY", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
responseBody, _ := io.ReadAll(resp.Body)
fmt.Println(string(responseBody))
}
{
"request": {
"id": "<string>",
"requesterUserId": "<string>",
"requesterEmail": "<string>",
"payload": {
"customPolicyAccess": {
"scope": {
"device": {
"deviceName": "<string>"
},
"exactAction": {
"mcpMethod": "<string>",
"toolName": "<string>",
"toolArguments": {}
},
"full": {},
"method": {
"mcpMethod": "<string>"
},
"tool": {
"mcpMethod": "<string>",
"toolName": "<string>"
}
}
},
"mcpRegistryAccess": {
"resourceId": "<string>"
},
"mcpServerCreate": {
"name": "<string>",
"url": "<string>"
},
"policySuspension": {
"scope": {
"device": {
"deviceName": "<string>"
},
"exactAction": {
"mcpMethod": "<string>",
"toolName": "<string>",
"toolArguments": {}
},
"full": {},
"method": {
"mcpMethod": "<string>"
},
"tool": {
"mcpMethod": "<string>",
"toolName": "<string>"
}
},
"oneTime": {},
"timeBound": {
"expirationMinutes": 123
}
}
},
"reason": "<string>",
"status": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"policyId": "<string>",
"decisionUserId": "<string>",
"decisionUserEmail": "<string>",
"decisionReason": "<string>",
"decidedAt": "2023-01-15T01:30:15.01Z"
}
}{
"code": "invalid_request",
"message": "Invalid request parameters",
"details": {}
}{
"code": "unauthorized",
"message": "Authentication required"
}{
"code": "forbidden",
"message": "Insufficient permissions to perform this action"
}{
"code": "not_found",
"message": "Resource not found"
}{
"code": "internal_error",
"message": "An internal error occurred"
}core.v1.ApprovalService
CreateApprovalRequest
POST
/
core.v1.ApprovalService
/
CreateApprovalRequest
cURL
curl -X POST "https://api.joinformal.com/core.v1.ApprovalService/CreateApprovalRequest" \
-H "X-API-KEY: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"example": "value"
}'fetch("https://api.joinformal.com/core.v1.ApprovalService/CreateApprovalRequest", {
method: "POST",
headers: {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
example: "value"
})
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error(error));import requests
url = "https://api.joinformal.com/core.v1.ApprovalService/CreateApprovalRequest"
headers = {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"example": "value"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())package main
import (
"bytes"
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.joinformal.com/core.v1.ApprovalService/CreateApprovalRequest"
body := map[string]string{
"example": "value",
}
jsonData, _ := json.Marshal(body)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("X-API-KEY", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
responseBody, _ := io.ReadAll(resp.Body)
fmt.Println(string(responseBody))
}
{
"request": {
"id": "<string>",
"requesterUserId": "<string>",
"requesterEmail": "<string>",
"payload": {
"customPolicyAccess": {
"scope": {
"device": {
"deviceName": "<string>"
},
"exactAction": {
"mcpMethod": "<string>",
"toolName": "<string>",
"toolArguments": {}
},
"full": {},
"method": {
"mcpMethod": "<string>"
},
"tool": {
"mcpMethod": "<string>",
"toolName": "<string>"
}
}
},
"mcpRegistryAccess": {
"resourceId": "<string>"
},
"mcpServerCreate": {
"name": "<string>",
"url": "<string>"
},
"policySuspension": {
"scope": {
"device": {
"deviceName": "<string>"
},
"exactAction": {
"mcpMethod": "<string>",
"toolName": "<string>",
"toolArguments": {}
},
"full": {},
"method": {
"mcpMethod": "<string>"
},
"tool": {
"mcpMethod": "<string>",
"toolName": "<string>"
}
},
"oneTime": {},
"timeBound": {
"expirationMinutes": 123
}
}
},
"reason": "<string>",
"status": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"policyId": "<string>",
"decisionUserId": "<string>",
"decisionUserEmail": "<string>",
"decisionReason": "<string>",
"decidedAt": "2023-01-15T01:30:15.01Z"
}
}{
"code": "invalid_request",
"message": "Invalid request parameters",
"details": {}
}{
"code": "unauthorized",
"message": "Authentication required"
}{
"code": "forbidden",
"message": "Insufficient permissions to perform this action"
}{
"code": "not_found",
"message": "Resource not found"
}{
"code": "internal_error",
"message": "An internal error occurred"
}Authorizations
API key authentication. Get your API key from the Formal console.
Body
application/json
Response
Success
Show child attributes
Show child attributes
Was this page helpful?